CREATE TABLE LogTmProrrateo ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
TarifaLiq DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrAportes MONEY DEFAULT ((0)) NOT NULL,
Importe MONEY DEFAULT ((0)) NOT NULL,
VrRetiros MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
CodTarifa VARCHAR(4),
EstadoReg INT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(500),
EdoVincula INT DEFAULT ((0)) NOT NULL,
FecLiquida SMALLDATETIME NOT NULL,
FecIngreso SMALLDATETIME NOT NULL,
FecRetiro SMALLDATETIME,
NumCasoJur INT DEFAULT ((0)) NOT NULL,
IdCiaJur CHAR(2) DEFAULT ('00') NOT NULL,
TipoVehic VARCHAR(50),
TipoAfiVeh VARCHAR(10),
NomAsociado VARCHAR(150),
DescVehiculo VARCHAR(500)
 CONSTRAINT PK_LogTmProrrateo PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmProrrateoIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_LogTmProrrateoIdCiaJur CHECK ((len([IdCiaJur])>(0))),
 CONSTRAINT CK_LogTmProrrateoIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmProrrateoIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_LogTmProrrateoTipoBaseLiq CHECK ((len([TipoBaseLiq])>(0))),
 CONSTRAINT CK_LogTmProrrateoUndVehiculo CHECK (([UndVehiculo]='R' OR [UndVehiculo]='V')))
GO
CREATE TABLE LogTmJurActas ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
Importe MONEY DEFAULT ((0)) NOT NULL,
TipDocJur VARCHAR(3) DEFAULT ('0') NOT NULL,
NumCasoJur INT DEFAULT ((0)) NOT NULL,
IdCiaJur CHAR(2) DEFAULT ('00') NOT NULL,
TipoAfiVeh VARCHAR(10),
NomAsociado VARCHAR(150),
DescVehiculo VARCHAR(500)
 CONSTRAINT PK_LogTmJurActas PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmJurActasDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmJurActasIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_LogTmJurActasIdCiaJur CHECK ((len([IdCiaJur])>(0))),
 CONSTRAINT CK_LogTmJurActasIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmJurActasIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_LogTmJurActasTipDocJur CHECK ((len([TipDocJur])>(0))),
 CONSTRAINT CK_LogTmJurActasUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO

CREATE NONCLUSTERED INDEX IX_LogTmProrrateoIdAsociado ON LogTmProrrateo(IdAsociado,UndVehiculo,IdVehiculo)

CREATE NONCLUSTERED INDEX IX_LogTmJurActasIdAsociado ON LogTmJurActas(IdAsociado,UndVehiculo,IdVehiculo)
